org.codehaus.groovy.transform

## Annotation Type GroovyASTTransformationClass

    @Retention(value=RUNTIME)
     @Target(value=ANNOTATION_TYPE)
    public @interface GroovyASTTransformationClass

This is an annotation on some item that indicates that an associated transform classes should be executed. As of Groovy 1.6 the only valid target is the annotation type. Each of the class names in the value must be annotated with `GroovyASTTransformation`. It is a compile time error to specify a `GroovyASTTransformationClass` that is not accessible at compile time. It need not be available at runtime.

Author:
  Danno Ferrin (shemnon), Roshan Dawrani (roshandawrani)

### Optional Element Summary

Optional Elements
`java.lang.Class[]` `classes`
`java.lang.String[]` `value`

### Element Detail

#### value

    public abstract java.lang.String[] value

Default:
  {}

#### classes

    public abstract java.lang.Class[] classes

Default:
  {}